'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});
var ListItemMixin = {
    props: {
        icon: String,
        rightIcon: String,
        center: Boolean,
        required: Boolean,
        clickable: Boolean,
        titleStyle: null,
        titleClass: null,
        valueStyle: null,
        valueClass: null,
        labelClass: null,
        labelNumber: {
            type: [Number, String],
            validator: function validator(value) {
                return ['auto', '5', '6', '7', '8'].indexOf(value.toString()) > -1;
            }
        },
        title: [Number, String],
        value: [Number, String],
        label: [Number, String],
        border: {
            type: Boolean,
            'default': true
        },
        borderIndent: {
            type: Boolean,
            'default': true
        },
        valuePosition: {
            type: String,
            'default': 'right',
            validator: function validator(value) {
                return ['right', 'left'].indexOf(value) > -1;
            }
        }
    }
};

exports['default'] = ListItemMixin;
module.exports = exports.default;